Bug 11325 - jpackage compatibility changes required
: jpackage compatibility changes required
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xerces-j)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-03 13:44 by
Modified: 2007-05-23 12:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-03 13:44:59
чтобы работала сборка ряда пакетов через jpackage-utils
нужно добавить ряд симлинков и Provides:
как в 
ftp://ftp.heanet.ie/pub/jpackage/1.7/generic/free/SRPMS/xerces-j2-2.7.1-9jpp.src.rpm

Как минимум это xerces-j2 и xerces-j2.jar.
я локально костыль сваял, см. ниже спек.
смержить его бы, либо
выдать мне права на допиливание пакета.

%define xerces_j_version 2_8_1

Name: jpackage-compat
Version: 0.01
Release: alt1

Summary: ALT to JPackage build compatibility adaptor.
Group: Development/Java
License: Apache
Url: http://www.sisyphus.ru/packages/viy/srpms

BuildArch: noarch

BuildPreReq: rpm-build-java
BuildPreReq: jpackage-utils

BuildRequires: xerces-j

Provides: xerces-j2 = %{xerces_j_version}-%{release}
Requires: xerces-j

%description
JPackage compatibility package. the main goal is to provide all nessssary
symlinks,
Requires and BuildRequires for ALT to be build compatible with JPackage.

This package should be gone when all java packages will satisfy the JPackage
policy.

%prep

%build

%install
install -d $RPM_BUILD_ROOT%_javadir
if [ -L %_javadir/xerces-j.jar ]; then
    echo "Build Failed: compat isn't needed for xerces!"
    exit 10;
else
    ln -s xerces-j.jar
$RPM_BUILD_ROOT%_javadir/xerces-j2-%{xerces_j_version}.jar
    ln -s xerces-j.jar $RPM_BUILD_ROOT%_javadir/xerces-j2.jar
fi

%files
%_javadir/*

%changelog
* Sat Mar 24 2007 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial build.
------- Comment #1 From 2007-04-03 14:49:19 -------
Сегодня вечером закину новую сборку
------- Comment #2 From 2007-04-05 20:13:03 -------
Я жутко извиняюсь, у меня завтра возможность будет свое залить,
Если бы вы с вечера/с утра бросили xerces-j,
очень было бы удобно.
------- Comment #3 From 2007-05-23 12:59:20 -------
fixed all